MockRandomLookaheadTokenFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.MockRandomLookaheadTokenFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class MockRandomLookaheadTokenFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.LookaheadTokenFilter<LookaheadTokenFilter.Position>
                      org.apache.lucene.analysis.MockRandomLookaheadTokenFilter

All Implemented Interfaces:
  Closeable

    public final class MockRandomLookaheadTokenFilter

extends LookaheadTokenFilter<LookaheadTokenFilter.Position>

Uses `LookaheadTokenFilter` to randomly peek at future tokens.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.LookaheadTokenFilter
`LookaheadTokenFilter.Position`

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.LookaheadTokenFilter
`end, inputPos, offsetAtt, outputPos, posIncAtt, positions, posLenAtt`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`MockRandomLookaheadTokenFilter(Random random, org.apache.lucene.analysis.TokenStream in)`

Method Summary
`protected void` | `afterPosition()` This is called when all input tokens leaving a given position have been returned.
`boolean` | `incrementToken()`
`LookaheadTokenFilter.Position` | `newPosition()`
`void` | `reset()`

Methods inherited from class org.apache.lucene.analysis.LookaheadTokenFilter
`insertToken, nextToken, peekToken`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockRandomLookaheadTokenFilter

    public MockRandomLookaheadTokenFilter(Random random,
                                          org.apache.lucene.analysis.TokenStream in)

Method Detail

### newPosition

    public LookaheadTokenFilter.Position newPosition()

  Specified by:
    `newPosition` in class `LookaheadTokenFilter<LookaheadTokenFilter.Position>`

### afterPosition

    protected void afterPosition()
                          throws IOException

  Description copied from class: `LookaheadTokenFilter`
  This is called when all input tokens leaving a given position have been returned. Override this and call createToken and then set whichever token's attributes you want, if you want to inject a token starting from this position.

  Overrides:
    `afterPosition` in class `LookaheadTokenFilter<LookaheadTokenFilter.Position>`
  Throws:
    `IOException`

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `LookaheadTokenFilter<LookaheadTokenFilter.Position>`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD